> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unblockedbrands.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete wallet pass notification

> Delete wallet pass notification by ID. Only Draft or Scheduled notifications can be deleted.

**Deletion Rules:**
- `Draft` notifications can always be deleted
- `Scheduled` notifications can be deleted before they are processed
- `Processing`, `Published`, or `Failed` notifications cannot be deleted




## OpenAPI

````yaml api-reference/openapi.json delete /wallet-pass/notifications/{id}
openapi: 3.1.0
info:
  title: Unblocked Wallet Passes API
  description: Unblocked Wallet Passes API
  version: 1.0.0
servers:
  - url: https://api.ubpass.co/v1
    description: Generated server url
security:
  - AccessToken: []
  - APIKey: []
tags:
  - name: Pique
    description: Get Pique Campaigns and their video performance data
  - name: Passport - Passes
    description: >-
      Create, update, retrieve, and delete wallet passes for Apple and Google
      platforms
  - name: Passport - Push Notifications
    description: Create, update, get, and delete wallet pass notifications
  - name: Passport - Locations
    description: Create, update, get, and delete wallet pass locations
  - name: Upload APIs
    description: Upload and manage pass assets and images
paths:
  /wallet-pass/notifications/{id}:
    delete:
      tags:
        - Passport - Push Notifications
      summary: Delete wallet pass notification
      description: >
        Delete wallet pass notification by ID. Only Draft or Scheduled
        notifications can be deleted.


        **Deletion Rules:**

        - `Draft` notifications can always be deleted

        - `Scheduled` notifications can be deleted before they are processed

        - `Processing`, `Published`, or `Failed` notifications cannot be deleted
      operationId: deletePassNotification
      parameters:
        - name: x-workspace-id
          in: header
          description: >-
            Workspace ID to perform the operation in. If not provided, system
            will use the first one assigned to the user
          required: false
          schema:
            type: string
            pattern: ^[a-zA-Z0-9-_]+$
          example: 1f089d29-6f9c-66c2-af59-99631cec7ab5
        - name: id
          in: path
          description: Unique identifier of the notification to delete
          required: true
          schema:
            type: string
            pattern: ^[a-zA-Z0-9-_]+$
          example: 1f089d37-5ebe-6778-af59-99631cec7ab5
      responses:
        '204':
          description: Notification deleted successfully
        '400':
          description: Bad Request - Invalid input or notification cannot be deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnblockedApiError'
              examples:
                Bad Request Error:
                  summary: Notification cannot be deleted
                  description: Bad Request Error
                  value:
                    txId: 1f098faa-8f33-6425-b4ff-533200846d35
                    timestamp: 24-09-2025 03:57:59
                    errorCode: INVALID_OPERATION
                    errorMessage: Cannot delete notification with status 'Published'
                    context:
                      id: 1f083424-11ed-617f-9513-1b26dc975ee2
                      status: Published
        '401':
          description: Unauthorized - Invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnblockedApiError'
              examples:
                Unauthorized Error:
                  summary: Authentication failed
                  description: Unauthorized Error
                  value:
                    txId: Root=1-68d3693c-26a3db2278c7668f5e086711
                    timestamp: 24-09-2025 03:45:00
                    errorCode: UNAUTHORIZED
                    errorMessage: UNAUTHORIZED.
        '404':
          description: Not Found - Notification ID not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnblockedApiError'
              examples:
                Not Found Error:
                  summary: Notification not found
                  description: Not Found Error
                  value:
                    txId: 1f098fa9-3786-64d4-b4ff-533200846d35
                    timestamp: 24-09-2025 03:57:23
                    errorCode: NOT_FOUND
                    errorMessage: Not found.
                    context:
                      id: 1f083424-11ed-617f-9513-1b26dc975ee2
components:
  schemas:
    UnblockedApiError:
      type: object
      properties:
        txId:
          type: string
        timestamp:
          type: string
          format: date-time
        errorCode:
          type: string
        errorMessage:
          type: string
        context:
          type: object
          additionalProperties: {}
  securitySchemes:
    AccessToken:
      type: http
      description: Bearer token authentication
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      description: API Key authentication
      name: api-key
      in: header

````